Subject: Re: drivers/net/cris/eth_v10.c:1715:2: error: too many arguments to function 'e100rxtx_interrupt'

From: Jesper Nilsson <[email-masked]>
Date: Fri, 5 Oct 2012 23:24:22 +0200

On Wed, Oct 03, 2012 at 10:26:57PM +0200, Jesper Nilsson wrote:
> On Wed, Oct 03, 2012 at 08:40:40PM +0200, David Miller wrote:
> > From: Jesper Nilsson <[email-masked]>
> > Date: Wed, 3 Oct 2012 12:46:52 +0200
> > 
> > > On Fri, Sep 28, 2012 at 03:06:08PM +0200, Fengguang Wu wrote:
> > >> Hi Jesper,
> > > 
> > > Hi!
> > > 
> > >> FYI, a rather old build bug that's introduced by
> > >> 
> > >> bafef0a cris build fixes: update eth_v10.c ethernet driver
> > >> 
> > >> All error/warnings:
> > >> 
> > >> drivers/net/cris/eth_v10.c: In function 'e100_netpoll':
> > >> drivers/net/cris/eth_v10.c:1715:2: error: too many arguments to function 'e100rxtx_interrupt'
> > >> drivers/net/cris/eth_v10.c:1131:1: note: declared here
> > > 
> > > Yep, I can't figure out why the followup patches never reached mainline,
> > > but we have fixes for exactly that in our in-house tree.
> > > I'll push some move patches after this merge window.
> > 
> > It's a bug fix, even worse a build fix, why want until after the merge
> > window?
> 
> Aye, true, I'll just have to make sure I don't get any other change from
> the inhouse tree.

Turns out this was already fixed in mainline since August.

/^JN - Jesper Nilsson
-- 
               Jesper Nilsson -- [email-masked]